'use strict';

var index = require('./index-p7cvUYAE.js');
var parts = require('./parts-BXshb_S-.js');
var styledHost = require('./styled-host-Ch0-dxF-.js');
require('./event-types-YOY5TKUN.js');

const PaymentMethodOption = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
    }
    render() {
        return (index.h(styledHost.StyledHost, { key: '526c90a231cf9132798d1135da9eb3cf7c1e0dde', class: "payment-method" }, index.h("div", { key: '189394f898e9d907af6209982e2150e672e90622', class: "radio-list-item p-3", part: parts.radioListItem, onClick: this.clickHandler, hidden: this.radioButtonHidden }, index.h("form-control-radio", { key: '291e6f6e165daf7a6c0b8f9077e7b8b1fbd9a3df', name: "paymentMethodType", value: this.paymentMethodOptionId, checked: this.isSelected, label: this.label }))));
    }
};

exports.payment_method_option = PaymentMethodOption;
